Skip to main content
GET
/
commerce
/
blanketorders
/
{blanketOrderId}
/
consumptionrecords
/
{consumptionRecordId}
Error
A valid request URL is required to generate request examples
{
  "callOffOrderId": "<string>",
  "consumptionTime": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "itemConsumptions": [
    {
      "blanketOrderItemId": "<string>",
      "productCode": "<string>",
      "quantity": 123,
      "remainingAfter": 123
    }
  ],
  "type": "<string>",
  "userId": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

blanketOrderId
string
required
consumptionRecordId
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

OK

Audit entry recording the consumption or restoration of Blanket Order balance by a call-off order. Stored in a separate BlanketOrderConsumptionRecord collection.

callOffOrderId
string | null

The call-off order that triggered this consumption or reversal.

consumptionTime
string<date-time>

Timestamp of the consumption event. System-supplied.

id
string | null

Unique identifier. System-supplied.

itemConsumptions
object[] | null

Per-line consumption details.

type
string | null

Type of record: "Consumption" or "Reversal".

userId
string | null

User who performed the action.